Page MenuHomePhabricator

Database: SQLite and PG are missing columns
Closed, ResolvedPublic

Description

abusefilter.tables.sqlite.sql and abusefilter.tables.pg.sql are missing columns that are present at abusefilter.tables.sql

possible missing appropriate db patches too.

Details

Reference
bz60639
Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : masterFix database schema for PostgreSQL

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:58 AM
bzimport added a project: AbuseFilter.
bzimport set Reference to bz60639.
bzimport added a subscriber: Unknown Object (MLST).
Se4598 created this task.Jan 30 2014, 7:59 PM
scfc added a subscriber: scfc.Nov 24 2014, 4:48 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Migrating from the old tracking task to a tag for PostgreSQL-related tasks.

matej_suchanek removed a subscriber: wikibugs-l-list.
matej_suchanek added a subscriber: matej_suchanek.EditedJul 16 2018, 9:43 AM

abusefilter.tables.sqlite.sql and abusefilter.tables.pg.sql are missing columns that are present at abusefilter.tables.sql

Since rEABF61be1e914913e2c229dbb1f4e252637a97df8fad and rEABF61be1e914913e2c229dbb1f4e252637a97df8fad, the schema should be up-to-date.

EDIT: It wasn't and I made a mistake in this comment as well.

Change 454810 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/AbuseFilter@master] Fix keys on abuse_filter_log in PostgreSQL

https://gerrit.wikimedia.org/r/454810

Change 454810 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Fix database schema for PostgreSQL

https://gerrit.wikimedia.org/r/454810

Daimona added a subscriber: Daimona.

So, is the schema up to date now?

Unless I missed something, the files should be up-to-date. Another thing is migration paths (ie. extension updates) between all schemas. T199507 is evidence for one particular problem.

Daimona closed this task as Resolved.Oct 3 2018, 4:37 PM
Daimona assigned this task to matej_suchanek.

Nice. I guess we're done with this specific task (which also was quite vague). For other MySQLite- and Postgres-related problems, we have the task linked above, and T199544 as tracking.